Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.encoding
Class XMLType

    java.lang.Object
      javax.xml.rpc.encoding.XMLType

public class XMLType
extends java.lang.Object

Constants for common XML Schema and SOAP 1.1 types.

Version:
  1.0
Author:
  Rahul Sharma

Field Summary
`static QName` | `SOAP_ARRAY` The name of the `SOAP-ENC:Array` type.
`static QName` | `SOAP_BASE64` The name of the `SOAP-ENC:base64` type.
`static QName` | `SOAP_BOOLEAN` The name of the `SOAP-ENC:boolean` type.
`static QName` | `SOAP_BYTE` The name of the `SOAP-ENC:byte` type.
`static QName` | `SOAP_DOUBLE` The name of the `SOAP-ENC:double` type.
`static QName` | `SOAP_FLOAT` The name of the `SOAP-ENC:float` type.
`static QName` | `SOAP_INT` The name of the `SOAP-ENC:int` type.
`static QName` | `SOAP_LONG` The name of the `SOAP-ENC:long` type.
`static QName` | `SOAP_SHORT` The name of the `SOAP-ENC:short` type.
`static QName` | `SOAP_STRING` The name of the `SOAP-ENC:string` type.
`static QName` | `XSD_BASE64` The name of the `xsd:base64Binary` type.
`static QName` | `XSD_BOOLEAN` The name of the `xsd:boolean` type.
`static QName` | `XSD_BYTE` The name of the `xsd:byte` type.
`static QName` | `XSD_DATETIME` The name of the `xsd:dateTime` type.
`static QName` | `XSD_DECIMAL` The name of the `xsd:decimal` type.
`static QName` | `XSD_DOUBLE` The name of the `xsd:double` type.
`static QName` | `XSD_FLOAT` The name of the `xsd:float` type.
`static QName` | `XSD_HEXBINARY` The name of the `xsd:hexBinary` type.
`static QName` | `XSD_INT` The name of the `xsd:int` type.
`static QName` | `XSD_INTEGER` The name of the `xsd:integer` type.
`static QName` | `XSD_LONG` The name of the `xsd:long` type.
`static QName` | `XSD_QNAME` The name of the `xsd:QName` type.
`static QName` | `XSD_SHORT` The name of the `xsd:short` type.
`static QName` | `XSD_STRING` The name of the `xsd:string` type.

Constructor Summary
`XMLType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XSD_STRING

    public static final QName XSD_STRING

  The name of the `xsd:string` type.

### XSD_FLOAT

    public static final QName XSD_FLOAT

  The name of the `xsd:float` type.

### XSD_BOOLEAN

    public static final QName XSD_BOOLEAN

  The name of the `xsd:boolean` type.

### XSD_DOUBLE

    public static final QName XSD_DOUBLE

  The name of the `xsd:double` type.

### XSD_INTEGER

    public static final QName XSD_INTEGER

  The name of the `xsd:integer` type.

### XSD_INT

    public static final QName XSD_INT

  The name of the `xsd:int` type.

### XSD_LONG

    public static final QName XSD_LONG

  The name of the `xsd:long` type.

### XSD_SHORT

    public static final QName XSD_SHORT

  The name of the `xsd:short` type.

### XSD_DECIMAL

    public static final QName XSD_DECIMAL

  The name of the `xsd:decimal` type.

### XSD_BASE64

    public static final QName XSD_BASE64

  The name of the `xsd:base64Binary` type.

### XSD_HEXBINARY

    public static final QName XSD_HEXBINARY

  The name of the `xsd:hexBinary` type.

### XSD_BYTE

    public static final QName XSD_BYTE

  The name of the `xsd:byte` type.

### XSD_DATETIME

    public static final QName XSD_DATETIME

  The name of the `xsd:dateTime` type.

### XSD_QNAME

    public static final QName XSD_QNAME

  The name of the `xsd:QName` type.

### SOAP_STRING

    public static final QName SOAP_STRING

  The name of the `SOAP-ENC:string` type.

### SOAP_BOOLEAN

    public static final QName SOAP_BOOLEAN

  The name of the `SOAP-ENC:boolean` type.

### SOAP_DOUBLE

    public static final QName SOAP_DOUBLE

  The name of the `SOAP-ENC:double` type.

### SOAP_BASE64

    public static final QName SOAP_BASE64

  The name of the `SOAP-ENC:base64` type.

### SOAP_FLOAT

    public static final QName SOAP_FLOAT

  The name of the `SOAP-ENC:float` type.

### SOAP_INT

    public static final QName SOAP_INT

  The name of the `SOAP-ENC:int` type.

### SOAP_LONG

    public static final QName SOAP_LONG

  The name of the `SOAP-ENC:long` type.

### SOAP_SHORT

    public static final QName SOAP_SHORT

  The name of the `SOAP-ENC:short` type.

### SOAP_BYTE

    public static final QName SOAP_BYTE

  The name of the `SOAP-ENC:byte` type.

### SOAP_ARRAY

    public static final QName SOAP_ARRAY

  The name of the `SOAP-ENC:Array` type.

Constructor Detail

### XMLType

    public XMLType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.